server {
    listen 80;
    server_name {{ web_address }};

    root /var/www/html;
    index index.php index.html index.htm;

    # Redirects requests to index.php if the file is not found
    location / {
        try_files $uri $uri/ /index.php?$query_string;
    }

    # Passes PHP requests to PHP-FPM container
    location ~ \.php$ {
        include fastcgi_params;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        fastcgi_pass php-fpm:9000; # Replace with your PHP-FPM container name
        fastcgi_index index.php;
    }

    # Logs for Nginx access and errors
    access_log /var/log/nginx/access.log;
    error_log /var/log/nginx/error.log;
}

